import http from '../scan/httpUtil'
const baseUrl = '/api';

/**
 * info: 查询统计数量(查询总数量不传参数，查询已完成数量TaskState=0，查询未找到TaskState=-1，查询未验证TaskState=1)
 * @param {Filters:string} param 查询参数
 * @param {*} success  成功的回调函数
 * 
 */
export function queryTaskCount(param, success) {
  let url = `${baseUrl}/datacenter/scan-task-base/count`;
  http.postJson(url, param, success)
}

/*************************模型任务接口****************************/
//创建模型任务
export function createModelTask(param, success) {
  let url = `${baseUrl}/datacenter/model-scan-task/create`;
  http.postJson(url, param, success)
}
//根据id删除模型任务
export function deleteModelTask(param, success) {
  let url = `${baseUrl}/datacenter/model-scan-task/delete`;
  http.postJson(url, param, success)
}
//查询模型任务
export function queryModelTask(param, success) {
  let url = `${baseUrl}/datacenter/model-scan-task/page-query`;
  http.postJson(url, param, success)
}
//更新模型任务
export function updateModelTask(param, success) {
  let url = `${baseUrl}/datacenter/model-scan-task/update`;
  http.postJson(url, param, success)
}